## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate icu_collections

Name:           rust-icu_collections
Version:        2.0.0
Release:        %autorelease
Summary:        Collection of API for use in ICU libraries

License:        Unicode-3.0
URL:            https://crates.io/crates/icu_collections
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Drop benchmark-only criterion dependency
# * Omit the unicode_bmp_blocks_selector example, which would require the
#   internal icu_benchmark_macros crate
Patch:          icu_collections-fix-metadata.diff
# * Downstream-only: disable tests that create circular deps. on the icu crate
Patch10:        0001-Downstream-only-disable-tests-that-create-circular-d.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Collection of API for use in ICU libraries.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+databake-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+databake-devel %{_description}

This package contains library source intended for building other packages which
use the "databake" feature of the "%{crate}" crate.

%files       -n %{name}+databake-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f alloc,databake,serde

%build
%cargo_build -f alloc,databake,serde

%install
%cargo_install -f alloc,databake,serde

%if %{with check}
%check
# * Very many doctests have circular dependencies on the top-level icu crate,
#   enough that it would be very tedious to patch them all out.
%cargo_test -f alloc,databake,serde -- --lib
%cargo_test -f alloc,databake,serde -- --tests
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 04 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.0-1
- Update to version 2.0.0; Fixes RHBZ#2364938

* Wed May 21 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.0-6
- Restore postcard dev-dependency

* Mon May 12 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.0-5
- Update .rpmlintrc file for current rpmlint

* Tue Apr 08 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.0-4
- Don’t run the --lib tests twice; they are included in --tests

* Tue Apr 08 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.0-3
- Stop packaging the bench feature, only relevant for CI

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Dec 10 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.0-1
- Initial package (close RHBZ#2328487)
- Re-generate with rust2rpm 27 for a slightly nicer spec file
## END: Generated by rpmautospec
